Bug 1315040 - Adding a new torrent crashes Azureus
Adding a new torrent crashes Azureus
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: azureus (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Juran
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-05 23:07 EST by DuvJones
Modified: 2016-12-20 14:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:15:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description DuvJones 2016-03-05 23:07:33 EST
Description of problem:

For the last few days when trying to add a new torrent to azureus, the program would crash and fail. For some reason it's taking down all of java with it. I would have reported it through ABRT (which labels this as an issue with java-1.8.0-openjdk) but the back track seem unusable.
Version-Release number of selected component (if applicable):
5.6.2.0-1

How reproducible:
It been fairly constant, for very attempt to load the program via firefox and add a torrent. Azureus crash. If I try to load a torrent file from the drive the program seemingly hand

Steps to Reproduce:
1. Find a torrent through firefox
2. Attempt to open with "azureus"

Actual results:
Azureus loads and the new torrent is added into the download list before the program crashes shortly after.

Expected results:
Azureus loads and the new torrent is added into the download list.
Comment 1 David Juran 2016-03-07 11:54:51 EST
Hello

Could you please try the following:

1) Enable java to dump core
As root, open the file /usr/bin/azureus using your favourite editor and add the following line right after the one which says "#!/bin/bash"
ulimit -c unlimited

2) Reproduce the issue
Make sure first that azureus isn't running, then reproduce the issue
You should now have a (largish) core-file in $HOME/.azureus/app

3) Install gdb
Make sure gdb is installed on your system
$ sudo dnf install gdb

4) Install debuginfo
First open the core-file using gdb
gdb -c <core-file>
 Lot of text will scroll by and in the end, it will likely say something along the lines of
Missing separate debuginfos, use: dnf debuginfo-install ....
Now copy that dnf debuginfo-install command, exit gdb (quit) and as root, run the copied dnf debuginfo command. It will likely pull down a _lot_ of debuginfo packages

5) produce backtrace
Now again open the core file using gdb
gdb -c <core-file>
Then you enable logging 
(gdb) set logging on
Finally you produce a backtrace
(gdb) thread apply all bt
It will ask you to hit enter a few times. Ones you've scrolled though all threads, you should have a file named gdb.txt.
Ensure there's nothing in there that you don't want publicly known and attach it to this bug report
Comment 2 Fedora End Of Life 2016-11-24 10:56:36 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 14:15:46 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.